WordPress.org

Ready to get started?Download WordPress

Forums

[resolved] Database migration from 1.5 to 2.0 beta (9 posts)

  1. daviesda
    Member
    Posted 8 years ago #

    Hi all,

    I've recently taken advantage of the new Yahoo WP hosting service and signed up. I have my existing blog in WP 1.5.2 with my old ISP and a shiny new 2.0 beta service with Yahoo. I have a backup of the mySQL database from my 1.5.2 installation so my question is how do I get the data into my new Yahoo 2.0 database? I have access to phpmyadmin on both servers. I couldn't help noticing that there have been quite a few database straucture changes with 2.0 and as I'm not a mySQL expert I'm stuck :) I searched this archive but couldn't find anything to help. Can anyone give me any pointers?

    TIA,

    David.

  2. Kafkaesqui

    Posted 8 years ago #

    The easiest method would be to import the data fresh into your database, as is, then run upgrade.php in 2.0.

  3. schestowitz
    Member
    Posted 8 years ago #

    Have you got console/terminal access? What is your front-end, if any? cPanel perhaps? You could load databases and restore them rather easily in cPanel. The database contains everything (almost!), so you need only find out how to overwrite the void (new) database on your Yahoo server.

  4. MichaelH
    Member
    Posted 8 years ago #

    I'd upgrade my 1.5.2 to 2.0 RC3 first, back that up, then assuming you've got the same table prefix in yahoo, restore your database to yahoo. Probably should DROP your tables in yahoo first. Just make sure you have backups on both ends before proceeding.

  5. daviesda
    Member
    Posted 8 years ago #

    Kafkaesqui's route sounds easiest but I have a question for the mySQL experts. The new Yahoo service had auto created my 2.0 database but with a different prefix to my old 1.5.2. Do I need to change anything before important and running upgrade.php?

    I'm a mySQL newbie but a quick learner if anyone can give me any pointers...

    Thanks for the quick replies.

    David.

  6. dru383
    Member
    Posted 8 years ago #

    When you import the database it will use whatever prefix it had when you saved it (probably _wp). So you'll need to edit your config.php file and just change the prefix section in there to suit the valye and you'll be okay.

  7. daviesda
    Member
    Posted 8 years ago #

    Getting somewhere...

    I was able to insert my old data into my new 2.0 database. I tried to run upgrade.php but get a series of errors e.g

    WordPress database error: [Access denied for user 'usernamexxx'@'localhost' to database 'weblog']
    ALTER TABLE wp_categories CHANGE COLUMN category_parent category_parent bigint(20) NOT NULL default '0'

    where usernamexxx is the username allocated by the Yahoo auto-installation of WP 2.0.

    My old posts are now showing up in my new weblog but witha few glitches obviously because I've not been able to run upgrade.php.

    Because I inserted the 1.5.2 data into the 2.0 database I can't see why there's an access denied error as the config.php file hasn't been changed and clearly my 2.0 WP is able to connect to the database ok.

    Ideas?

    David.

  8. citeewurkor
    Member
    Posted 8 years ago #

    When I used Yahoo web hosting, "localhost" was replaced with "mysql". But that was about 6 months ago.

  9. daviesda
    Member
    Posted 8 years ago #

    Thanks for all the help in this thread. In the end I took MichaelH's advice. Here's how I did it in case there's anyone else out there in the same situation.

    I still had access to my 1.5.2 installation so I upgraded that to 2.0. I then used phpmyadmin to export my WP database. I had to rename the database first as my 1.5.2 database had a different name to my 2.0 database. I then logged into phpmyadmin running on the server containing my new Yahoo 2.0 installation and imported the data into my new database. Bingo!

    Cheers,

    David.

Topic Closed

This topic has been closed to new replies.

About this Topic